com.ihr.xbrl.pojo

## Class XBRLRoleArcroleType

- java.lang.Object
- - com.ihr.xbrl.pojo.XBRLRoleArcroleType

- All Implemented Interfaces:
    HasId, java.io.Serializable
  Direct Known Subclasses:
    XBRLArcroleType, XBRLRoleType

      public class XBRLRoleArcroleType
      extends java.lang.Object
      implements java.io.Serializable, HasId

  The Class XBRLRoleArcroleType.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLRoleArcroleType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDefinition()` Gets the definition.
    `java.lang.Long` | `getId()` Gets the id.
    `XBRLTaxonomy` | `getParent()` Gets the parent.
    `java.lang.String` | `getUri()` Gets the uri.
    `java.util.Set<XBRLUsedOn>` | `getUsedOn()` Gets the used on.
    `int` | `hashCode()` This is the java hashCode method.
    `boolean` | `is_static()`
    `boolean` | `isVirtual()` Checks if is virtual.
    `void` | `set_static(boolean _static)` Sets the _static.
    `void` | `setDefinition(java.lang.String definition)` Sets the definition.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setParent(XBRLTaxonomy parent)` Sets the parent.
    `void` | `setUri(java.lang.String uri)` Sets the uri.
    `void` | `setUsedOn(java.util.Set<XBRLUsedOn> usedOn)` Sets the used on.
    `void` | `setVirtual(boolean isVirtual)` Sets the virtual.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLRoleArcroleType

          public XBRLRoleArcroleType()

  - ### Method Detail

    - #### isVirtual

          public boolean isVirtual()

      Checks if is virtual.
      Returns:
        the isVirtual

    - #### setVirtual

          public void setVirtual(boolean isVirtual)

      Sets the virtual.
      Parameters:
        `isVirtual` - the isVirtual to set

    - #### getDefinition

          public java.lang.String getDefinition()

      Gets the definition.
      Returns:
        the definition

    - #### setDefinition

          public void setDefinition(java.lang.String definition)

      Sets the definition.
      Parameters:
        `definition` - the definition to set

    - #### getParent

          public XBRLTaxonomy getParent()

      Gets the parent.
      Returns:
        the parent

    - #### setParent

          public void setParent(XBRLTaxonomy parent)

      Sets the parent.
      Parameters:
        `parent` - the parent to set

    - #### getUri

          public java.lang.String getUri()

      Gets the uri.
      Returns:
        the uri

    - #### setUri

          public void setUri(java.lang.String uri)

      Sets the uri.
      Parameters:
        `uri` - the uri to set

    - #### getUsedOn

          public java.util.Set<XBRLUsedOn> getUsedOn()

      Gets the used on.
      Returns:
        the usedOn

    - #### setUsedOn

          public void setUsedOn(java.util.Set<XBRLUsedOn> usedOn)

      Sets the used on.
      Parameters:
        `usedOn` - the usedOn to set

    - #### is_static

          public boolean is_static()

      Returns:
        the _static

    - #### set_static

          public void set_static(boolean _static)

      Sets the _static.
      Parameters:
        `_static` - the _static to set

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Specified by:
        `getId` in interface `HasId`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Specified by:
        `setId` in interface `HasId`
      Parameters:
        `id` - the id to set

    - #### hashCode

          public int hashCode()

      This is the java hashCode method.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash